statistics-0.9.0.0: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com

Statistics.Distribution.Poisson

Contents

- Constructors
- Accessors

Description

The Poisson distribution. This is the discrete probability distribution of a number of events occurring in a fixed interval if these events occur with a known average rate, and occur independently from each other within that interval.

Synopsis

- data PoissonDistribution
- poisson :: Double -> PoissonDistribution
- poissonLambda :: PoissonDistribution -> Double

# Documentation

data PoissonDistribution

Instances

Eq PoissonDistribution |
Read PoissonDistribution |
Show PoissonDistribution |
Typeable PoissonDistribution |
Variance PoissonDistribution |
Mean PoissonDistribution |
DiscreteDistr PoissonDistribution |
Distribution PoissonDistribution |

# Constructors

poisson :: Double -> PoissonDistribution

Create poisson distribution.

# Accessors

poissonLambda :: PoissonDistribution -> Double